# -*- coding: utf-8 -*-
import codecs
import os
import re
import sys
import shutil


reload(sys)
sys.setdefaultencoding('utf-8')


def get_related_imgs(src_dir=None, filename=None):
    """
    得到类似 xxxx-300x300.jpg这样的图片文件名
    :param src_dir:
    :param filename:
    :return:
    """
    pattern = re.compile(r"(.*)(\.jpg|\.jpeg|\.JPEG|\.png|\.JPG|\.PNG)")
    m = pattern.match(filename)

    if len(m.groups()) < 2:
        print 'not image file'

    imgs = []
    for s in ['45x45', '100x100', '150x150', '300x215', '300x300', '400x400', '550x500', '600x429', '700x340', '768x550']:
        new_file = m.group()[0] + '-' + s + m.group()[1]
        if os.path.exists(src_dir + '/' + new_file):
            imgs.append(new_file)
    return imgs


def process(csv=None, src_dir=None, dst_dir=None):
    """
    根据csv文件清单，将一个目录中的文件移到另外一个目录中
    :param csv:
    :param src_dir:
    :param dst_dir:
    :return:
    """
    with codecs.open(csv, 'rb', 'utf-8') as f:
        count = 0
        for line in f:
            filename = line[1:-2]
            print u"文件：%s" % filename.encode('utf-8')
            if os.path.exists(src_dir + '/' + filename):
                shutil.move(src_dir + '/' + filename, dst_dir + '/' + filename)
                count += 1
                print count
                files = get_related_imgs(src_dir=src_dir, filename=filename)
                for file in files:
                    shutil.move(src_dir + '/' + file, dst_dir + '/' + file)
            else:
                print 'file not exist'


if __name__ == '__main__':
    print sys.argv[1]
    process(csv=sys.argv[1], src_dir=sys.argv[2], dst_dir=sys.argv[3])